petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexLocalizeCoordinate

If a mesh is periodic (a torus with lengths L_i, some of which can be infinite), project the coordinate onto [0, L_i) in each dimension.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexLocalizeCoordinate(DM dm, const PetscScalar in[], PetscScalar out[])

### Input Parameters

| dm | - The DM
| in | - The input coordinate point (dim numbers)

### Output Parameter

out -The localized coordinate point

### See Also

DMPlexLocalizeCoordinates(), DMPlexLocalizeAddCoordinate()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages